Issue Error Network with Axios on React-native

Ok i finally fixed my issue : Like it said in the link from @Nisharg Shah, first of all you need to have a react-native version 0.63.3 after make sure of your Flipper version and change it to 0.54.0. If like me it doesn’t work just create a new project, the last version will be installed. My dependency “react native pdf” had an issue too “More than one file was found with OS independent path ‘lib/x86/libjsc.so'” add in android/app/build.gradle file into android object this :

 packagingOptions {
    pickFirst 'lib/x86/libc++_shared.so'
    pickFirst 'lib/x86_64/libjsc.so'
    pickFirst 'lib/arm64-v8a/libjsc.so'
    pickFirst 'lib/arm64-v8a/libc++_shared.so'
    pickFirst 'lib/x86_64/libc++_shared.so'
    pickFirst 'lib/armeabi-v7a/libc++_shared.so'
}

and everything should work fine :).

CLICK HERE to find out more related problems solutions.

Leave a Comment

Your email address will not be published.

Scroll to Top